@echo off

REM Check if the VCINSTALLDIR variable has been set.
REM If it has not been set... try to find the right version of Visual Studio to use.
set VS_BATCH_FILE=vsvars32.bat

if "%VCINSTALLDIR%"=="" (
echo User has not run %VS_BATCH_FILE%, run automatically if available
if not "%VS100COMNTOOLS%"=="" (
call "%VS100COMNTOOLS%\%VS_BATCH_FILE%"
copy build_vs2010.xml build.xml
) else if not "%VS90COMNTOOLS%"=="" (
call "%VS90COMNTOOLS%\%VS_BATCH_FILE%"
copy build_vs2008.xml build.xml
) else if not "%VS80COMNTOOLS%"=="" (
call "%VS80COMNTOOLS%\%VS_BATCH_FILE%"
copy build_vs2005.xml build.xml
) else (
echo Unable to find appropriate Visual Studio version based on VSxxxCOMNTOOLS variable.  
echo Try running %VS_BATCH_FILE%
exit /b 1
)
)

ant
